Subject: Re: bug#50983: 28.0.50; [REGRESSION, BUG] Display bugs with uncommon characters

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 04 Sep 2022 23:37:45 +0200

Eli Zaretskii <[email-masked]> writes:

> I don't see how Emacs display can possibly work correctly on such a
> terminal, so I think we should close this bug report as "notabug".
>
> For the second example, I think there could be an issue with character
> compositions on this terminal, so the OP is advised to try turning off
> auto-composition-mode.  If that solves the problem, fine; if not, I
> guess Kitty once again assumes something about how such sequences are
> rendered, and those assumptions don't fit how Emacs displays them in
> reality, and if so, that problem, too, has no satisfactory solution
> (and isn't an Emacs bug).

So I guess the conclusion here is that there's nothing to be done on the
Emacs side here, and I'm therefore closing this bug report.